Subject: bug#62031: 29.0.60; python-mode indentation after re.match

From: kobarity <[email-masked]>
Date: Fri, 10 Mar 2023 00:29:11 +0900

Ruijie Yu wrote:
> As I mentioned in the other subthread, there is a variation to this
> issue that remains unfixed.  The following test case, a slightly
> modified version of the test case in your commit, has failed (tested on
> 7e1012765c40):

I think it's better to check the block-start is located at the
beginning of the line.  Attached is a patch which can pass the test
case.